<?php

namespace app\models;

use yii\base\Model;
use yii\web\UploadedFile;

class UploadHistoricoForm extends Model
{
    /**
     * @var UploadedFile
     */
    public $archivoCotizaciones;
    public $archivoItems;

    public function rules()
    {
        return [
            [['archivoCotizaciones', 'archivoItems'], 'required', 'message' => 'Debes seleccionar ambos archivos.'],
            [['archivoCotizaciones', 'archivoItems'], 'file', 'skipOnEmpty' => false, 'extensions' => 'csv', 'checkExtensionByMimeType' => false],
        ];
    }
    
    public function attributeLabels()
    {
        return [
            'archivoCotizaciones' => 'Archivo de Cotizaciones (Cabeceras)',
            'archivoItems' => 'Archivo de Items (Productos)',
        ];
    }
}